<node>
  <interface name='com.canonical.Unity.Webapps.Indicator'>
    <method name='ShowIndicator'>
      <arg type='s' name="name" direction="in"/>
      <arg type='i' name="interest" direction="in"/>
    </method>
    <method name='ClearIndicator'>
      <arg type='s' name="name" direction="in"/>
      <arg type='i' name="interest" direction="in"/>
    </method>
    <method name='ClearIndicators'>
      <arg type='i' name='interest' direction='in'/>
    </method>
    <method name='SetProperty'>
      <arg type='s' name="name" direction="in"/>
      <arg type='s' name="property" direction="in"/>
      <arg type='s' name="value" direction="in"/>
      <arg type='i' name="interest" direction="in"/>
    </method>
    <method name='SetPropertyIcon'>
      <arg type='s' name="name" direction="in"/>
      <arg type='s' name="property" direction="in"/>
      <arg type='s' name="iconurl" direction="in"/>
    </method>

    <method name='AddAction'>
      <arg type='s' name="label" direction="in"/>
      <arg type='i' name="interest" direction="in"/>
    </method>
    <method name='RemoveAction'>
      <arg type='s' name="label" direction="in"/>
      <arg type="i" name="interest" direction="in"/>
    </method>
    <method name='RemoveActions'>
      <arg type='i' name='interest' direction='in'/>
    </method>
    
    <signal name='ActionInvoked'>
      <arg type='s' name="label" direction="out"/>
    </signal>
    
    <property name="Presence" type="s" access="read"></property>

  </interface>
</node>
